<span>
  <span>{{::pgTbl.format(column, gene._source[column])}}</span>
  <i class="fa fa-filter" role="button" ng-if="pgTbl.isFilterBoxSuitable(gene._source[column]) && !contextIsContigViewer"
     ng-mousedown="pgTbl.addValueFilterBox(column, gene._source[column], pgTbl.getColumnLabel(column))"
     uib-tooltip="Create a filter using this value" tooltip-placement="top"></i>
  <div ng-if="column === 'salltitles'" style="float:right">
    <button type="button" class="btn btn-default btn-xs"
            ng-if="gene._source[column] !== 'No hit found'"
            ng-mousedown="pgTbl.openBlastHitsPopup(gene._source['geneid'])"
            uib-tooltip="Show more BLAST hits" tooltip-placement="left">
        more hits
      </button>
  </div>
  <div ng-if="column === 'salltitles'" style="clear: right;"></div>
  <div ng-if="column === 'pathways'">
    <div ng-repeat="pathway in pgTbl.sortObjectArray(gene._source[column], 'pathid')">
      <a href="#" ng-mousedown="pgTbl.switchToPathwayView(pathway.pathid)">{{pathway.pathid | limitTo:5:7}}</a> - {{pathway.title}}
      <i class="fa fa-filter" role="button" ng-mousedown="pgTbl.addValueFilterBox('pathways.pathid', pathway.pathid, 'Pathway: ' + pathway.title)"></i>
    </div>
  </div>
  <div ng-if="column === 'gos'">
    <div ng-repeat="go in pgTbl.sortObjectArray(gene._source[column], 'goid')">{{ go.goid + ' - ' + go.godescription.substring(3) }}
      <i class="fa fa-filter" role="button" ng-mousedown="pgTbl.addValueFilterBox('gos.goid', go.goid, 'GO: ' + go.godescription)"></i>
    </div>
  </div>
  <div ng-if="column === 'pfams'">
    <div ng-repeat="pfam in pgTbl.sortObjectArray(gene._source[column], 'hmmname')" ng-init="showMore = false">{{ pfam.hmmname }}
      <i class="fa fa-filter" role="button" ng-mousedown="pgTbl.addValueFilterBox('pfams.hmmacc', pfam.hmmacc, 'PFAM: ' + pfam.hmmname)"></i>
      <a href="#" ng-mousedown="showMore = !showMore">{{showMore ? 'hide' : 'show'}}</a>
      <div ng-show="showMore">
        <table class="table table-striped sub-table">
          <tr ng-if="key !== 'seqid'" ng-repeat="(key, value) in pfam">
            <td>{{key}}</td>
            <td>
              <span ng-if="key !== 'evalue' && key !== 'bitscore'">{{value}}</span>
              <span ng-if="key === 'evalue'">{{value.toExponential(2)}}</span>
              <span ng-if="key === 'bitscore'">{{value.toFixed(1)}}</span>
              <i class="fa fa-filter" role="button" ng-mousedown="pgTbl.addValueFilterBox('pfams.'+key, value, 'PFAM: ' + key)"></i>
            </td>
          </tr>
        </table>
      </div>
    </div>
  </div>
  <div ng-if="column === 'x_pfam'">
    <div ng-repeat="pfam in pgTbl.sortObjectArrayByNumber(gene._source[column], 'evalue')" ng-init="showMore = false">{{ pfam.name }}
      <i class="fa fa-filter" role="button" ng-mousedown="pgTbl.addValueFilterBox('x_pfam.id', pfam.id, 'X PFAM: ' + pfam.name)"></i>
      <span style="font-family: monospace;">[{{pfam.evalue}}]</span>
      <a href="#" ng-mousedown="showMore = !showMore">{{showMore ? 'hide' : 'show'}}</a>
      <div ng-show="showMore">
        <table class="table table-striped sub-table">
          <tr ng-repeat="(key, value) in pfam">
            <td>{{key}}</td>
            <td>
              <span ng-if="key !== 'evalue' && key !== 'bitscore'">{{value}}</span>
              <span ng-if="key === 'evalue'">{{value.toExponential(2)}}</span>
              <span ng-if="key === 'bitscore'">{{value.toFixed(1)}}</span>
              <i class="fa fa-filter" role="button" ng-mousedown="pgTbl.addValueFilterBox('x_pfam.'+key, value, 'X PFAM: ' + key)"></i>
            </td>
          </tr>
        </table>
      </div>
    </div>
  </div>
  <div ng-if="column === 'x_pdb'">
    <div ng-repeat="pdb in pgTbl.sortObjectArrayByNumber(gene._source[column], 'evalue')" ng-init="showMore = false">{{ pdb.id }}: {{ pgTbl.shorten(pdb.description) }}
      <i class="fa fa-filter" role="button" ng-mousedown="pgTbl.addValueFilterBox('x_pdb.id', pdb.id, pgTbl.shorten('X PDB: ' + pdb.id + ', ' + pdb.description))"></i>
      <span style="font-family: monospace;">[{{pdb.evalue}}]</span>
      <a href="#" ng-mousedown="showMore = !showMore">{{showMore ? 'hide' : 'show'}}</a>
      <div ng-show="showMore">
        <table class="table table-striped sub-table">
          <tr ng-repeat="(key, value) in pdb">
            <td>{{key}}</td>
            <td>
              <span ng-if="key !== 'evalue' && key !== 'bitscore'">{{value}}</span>
              <span ng-if="key === 'evalue'">{{value.toExponential(2)}}</span>
              <span ng-if="key === 'bitscore'">{{value.toFixed(1)}}</span>
              <i class="fa fa-filter" role="button" ng-mousedown="pgTbl.addValueFilterBox('x_pdb.'+key, value, 'X PDB: ' + key)"></i>
            </td>
          </tr>
        </table>
      </div>
    </div>
  </div>
  <div ng-if="column === 'x_3dm'">
    <div ng-repeat="tdm in pgTbl.sortObjectArrayByNumber(gene._source[column], 'evalue')" ng-init="showMore = false">{{ tdm.id }}
      <i class="fa fa-filter" role="button" ng-mousedown="pgTbl.addValueFilterBox('x_3dm.id', tdm.id, pgTbl.shorten('X 3DM: ' + tdm.id + ', ' + tdm.description))"></i>
      <span style="font-family: monospace;">[{{tdm.evalue}}]</span>
      <a href="#" ng-mousedown="showMore = !showMore">{{showMore ? 'hide' : 'show'}}</a>
      <div ng-show="showMore">
        <table class="table table-striped sub-table">
          <tr ng-repeat="(key, value) in tdm">
            <td>{{key}}</td>
            <td>
              <span ng-if="key !== 'evalue' && key !== 'bitscore'">{{value}}</span>
              <span ng-if="key === 'evalue'">{{value.toExponential(2)}}</span>
              <span ng-if="key === 'bitscore'">{{value.toFixed(1)}}</span>
              <i class="fa fa-filter" role="button" ng-mousedown="pgTbl.addValueFilterBox('x_3dm.'+key, value, 'X 3DM: ' + key)"></i>
            </td>
          </tr>
        </table>
      </div>
    </div>
  </div>
  <div ng-if="column === 'count'">
    <div ng-repeat="count in pgTbl.sortObjectArray(gene._source[column], 'label')">{{ count.label + ': ' + count.count }}</div>
  </div>
  <div ng-if="column === 'neighbors'" ng-init="selectedNeighbor = {}">

    <i ng-show="!gene.neighborsLoaded" class="fa fa-spinner fa-pulse"></i>

    <i ng-if="gene.hasMoreLeftNeighbors" class="fa fa-fw fa-ellipsis-h" title="additional neighbors omitted"></i><!--

    --><span class="contig-view-member" ng-repeat="leftNeighbor in gene.leftNeighbors.slice().reverse()"
             ng-mousedown="selectedNeighbor.neighbor._source.geneid === leftNeighbor._source.geneid ? selectedNeighbor.neighbor = undefined : selectedNeighbor.neighbor = leftNeighbor"
             ng-class="{'selected-neighbor': selectedNeighbor.neighbor._source.geneid === leftNeighbor._source.geneid}">
      <img src="main/neighbor.svg" ng-class="{'rotate-180': leftNeighbor._source['strand'] === '-'}"/>
    </span><!--

    --><span class="contig-view-member" style="cursor: default" title="{{gene._source['geneid']}}" ng-show="gene.neighborsLoaded && (gene.leftNeighbors.length > 0 || gene.rightNeighbors.length > 0)">
      <img src="main/neighbor-current.svg" ng-class="{'rotate-180': gene._source['strand'] === '-'}"/>
  </span><span ng-if="gene.leftNeighbors.length == 0 && gene.rightNeighbors.length == 0">-</span><!--

    --><span class="contig-view-member" ng-repeat="rightNeighbor in gene.rightNeighbors"
             ng-mousedown="selectedNeighbor.neighbor._source.geneid === rightNeighbor._source.geneid ? selectedNeighbor.neighbor = undefined : selectedNeighbor.neighbor = rightNeighbor"
             ng-class="{'selected-neighbor': selectedNeighbor.neighbor._source.geneid === rightNeighbor._source.geneid}">
      <img src="main/neighbor.svg" ng-class="{'rotate-180': rightNeighbor._source['strand'] === '-'}"/>
    </span><!--
    --><i ng-if="gene.hasMoreRightNeighbors" class="fa fa-fw fa-ellipsis-h" title="additional neighbors omitted"></i>

    <div style="float: right;">
      <button ng-if="gene.neighborsLoaded && (gene.leftNeighbors.length != 0 || gene.rightNeighbors.length != 0)"
              type="button" class="btn btn-default btn-xs contig-viewer-button"
              ng-mousedown="pgTbl.openContigPopup(gene._source['contigid'], gene._source['geneid'])"
              uib-tooltip="Open contig viewer" tooltip-placement="left">
        <img src="main/contig-viewer-icon.svg"/>
      </button>
    </div>
    <div style="clear: right;"></div>

    <table ng-show="selectedNeighbor.neighbor" class="table table-striped sub-table">
      <tr ng-repeat="(key, value) in selectedNeighbor.neighbor._source">
        <td>{{pgTbl.getColumnLabel(key)}}</td>
        <td ng-if="key !== 'pfams'">
          {{value}} <i ng-if="key === 'geneid'" class="fa fa-filter" role="button" ng-mousedown="pgTbl.addValueFilterBox('geneid', value, 'Single gene only')"></i>
        </td>
        <td ng-if="key === 'pfams'">
          <div ng-repeat="pfam in pgTbl.sortObjectArray(value, 'hmmname')">{{pfam.hmmname}}</div>
        </td>
      </tr>
    </table>
  </div>
  <div ng-if="(gene._source[column] === '' || gene._source[column].length === 0 || gene._source[column] === undefined) && column !== 'neighbors' && !contextIsContigViewer">
    <button class="btn btn-xs btn-default" type="button" role="button" style="float:right"
            ng-mousedown="pgTbl.addPresentFilterBox(column, 'Require: '+pgTbl.getColumnLabel(column))"
            uib-tooltip="Show only genes that have a value for this field." tooltip-placement="left">
      <i class="fa fa-filter"></i> Require
    </button>
  </div>
  <div style="clear:right;"></div>
</span>